package com.nokia.dingtalk_api.pojos.bo;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AppTaskBo {
    /**
     * 任务id
     */
    private String taskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 任务描述
     */
    private String description;

    /**
     * 任务状态，0已停止1运行中2已删除
     */
    private Integer status;

    /**
     * cron表达式
     */
    private String cron;

    /**
     * 应用编码
     */
    private String appId;

    /**
     * 机器人编码
     */
    private String robotCode;

    /**
     * 会话类型：1：单聊，2：群聊
     */
    private Integer conversationType;

    /**
     * 群id
     */
    private String openConversationId;

    /**
     * 接收机器人消息的用户的手机号列表
     */
    private String phones;

    /**
     * 接收机器人消息的用户的userId列表
     */
    private String userIds;

    /**
     * sftp id
     */
    private String sftpId;

    /**
     * 数据文件夹
     */
    private String dataDir;

    /**
     * 文件名匹配正则表达式
     */
    private String filePattern;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 机器人密钥
     */
    private String robotSecret;

    /**
     * 机器人名称
     */
    private String robotName;
    /**
     * 主机
     */
    private String host;

    /**
     * 端口
     */
    private Integer port;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;
}
